## javanet.staxutils
Class NamespaceContextAdapter

    java.lang.Object
      javanet.staxutils.NamespaceContextAdapter

All Implemented Interfaces:
  NamespaceContext

    public class NamespaceContextAdapter

extends Object
implements NamespaceContext

`NamespaceContext` that wraps another context. This class is useful for hiding the underlying implementation, or adding additional functionality on top of another context.

Version:
  $Revision: 1.1 $
Author:
  Christian Niles

Field Summary
`protected NamespaceContext` `namespaceCtx` The wrapped context.

Constructor Summary
`NamespaceContextAdapter()`
`NamespaceContextAdapter(NamespaceContext namespaceCtx)`

Method Summary
`String` `getNamespaceURI(String prefix)`
`String` `getPrefix(String nsURI)`
`Iterator` `getPrefixes(String nsURI)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### namespaceCtx

    protected NamespaceContext namespaceCtx

  The wrapped context.

Constructor Detail

### NamespaceContextAdapter

    public NamespaceContextAdapter()

### NamespaceContextAdapter

    public NamespaceContextAdapter(NamespaceContext namespaceCtx)

Method Detail

### getNamespaceURI

    public String getNamespaceURI(String prefix)

  Specified by:
    `getNamespaceURI` in interface `NamespaceContext`

### getPrefix

    public String getPrefix(String nsURI)

  Specified by:
    `getPrefix` in interface `NamespaceContext`

### getPrefixes

    public Iterator getPrefixes(String nsURI)

  Specified by:
    `getPrefixes` in interface `NamespaceContext`